IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/52
Addresses2^76
/64 networks4,096
- Network
fe80:c25d:ec00:2000::/52- First address
fe80:c25d:ec00:2000::- Last address
fe80:c25d:ec00:2fff:ffff:ffff:ffff:ffff- Addresses
- 75,557,863,725,914,323,419,136 (2^76)
- /64 networks (LANs)
- 4,096
- Full form
fe80:c25d:ec00:2000:0000:0000:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
2.0.0.c.e.d.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25d:ec00:2000::/52 makes 4,096 subnets of /64; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25d:ec00:2000::/64 | fe80:c25d:ec00:2000:ffff:ffff:ffff:ffff |
| 2 | fe80:c25d:ec00:2001::/64 | fe80:c25d:ec00:2001:ffff:ffff:ffff:ffff |
| 3 | fe80:c25d:ec00:2002::/64 | fe80:c25d:ec00:2002:ffff:ffff:ffff:ffff |
| 4 | fe80:c25d:ec00:2003::/64 | fe80:c25d:ec00:2003:ffff:ffff:ffff:ffff |
| 5 | fe80:c25d:ec00:2004::/64 | fe80:c25d:ec00:2004:ffff:ffff:ffff:ffff |
| 6 | fe80:c25d:ec00:2005::/64 | fe80:c25d:ec00:2005:ffff:ffff:ffff:ffff |
| 7 | fe80:c25d:ec00:2006::/64 | fe80:c25d:ec00:2006:ffff:ffff:ffff:ffff |
| 8 | fe80:c25d:ec00:2007::/64 | fe80:c25d:ec00:2007:ffff:ffff:ffff:ffff |
| 9 | fe80:c25d:ec00:2008::/64 | fe80:c25d:ec00:2008:ffff:ffff:ffff:ffff |
| 10 | fe80:c25d:ec00:2009::/64 | fe80:c25d:ec00:2009:ffff:ffff:ffff:ffff |
| 11 | fe80:c25d:ec00:200a::/64 | fe80:c25d:ec00:200a:ffff:ffff:ffff:ffff |
| 12 | fe80:c25d:ec00:200b::/64 | fe80:c25d:ec00:200b:ffff:ffff:ffff:ffff |
| 13 | fe80:c25d:ec00:200c::/64 | fe80:c25d:ec00:200c:ffff:ffff:ffff:ffff |
| 14 | fe80:c25d:ec00:200d::/64 | fe80:c25d:ec00:200d:ffff:ffff:ffff:ffff |
| 15 | fe80:c25d:ec00:200e::/64 | fe80:c25d:ec00:200e:ffff:ffff:ffff:ffff |
| 16 | fe80:c25d:ec00:200f::/64 | fe80:c25d:ec00:200f:ffff:ffff:ffff:ffff |
| 17 | fe80:c25d:ec00:2010::/64 | fe80:c25d:ec00:2010:ffff:ffff:ffff:ffff |
| 18 | fe80:c25d:ec00:2011::/64 | fe80:c25d:ec00:2011:ffff:ffff:ffff:ffff |
| 19 | fe80:c25d:ec00:2012::/64 | fe80:c25d:ec00:2012:ffff:ffff:ffff:ffff |
| 20 | fe80:c25d:ec00:2013::/64 | fe80:c25d:ec00:2013:ffff:ffff:ffff:ffff |
| 21 | fe80:c25d:ec00:2014::/64 | fe80:c25d:ec00:2014:ffff:ffff:ffff:ffff |
| 22 | fe80:c25d:ec00:2015::/64 | fe80:c25d:ec00:2015:ffff:ffff:ffff:ffff |
| 23 | fe80:c25d:ec00:2016::/64 | fe80:c25d:ec00:2016:ffff:ffff:ffff:ffff |
| 24 | fe80:c25d:ec00:2017::/64 | fe80:c25d:ec00:2017:ffff:ffff:ffff:ffff |
| 25 | fe80:c25d:ec00:2018::/64 | fe80:c25d:ec00:2018:ffff:ffff:ffff:ffff |
| 26 | fe80:c25d:ec00:2019::/64 | fe80:c25d:ec00:2019:ffff:ffff:ffff:ffff |
| 27 | fe80:c25d:ec00:201a::/64 | fe80:c25d:ec00:201a:ffff:ffff:ffff:ffff |
| 28 | fe80:c25d:ec00:201b::/64 | fe80:c25d:ec00:201b:ffff:ffff:ffff:ffff |
| 29 | fe80:c25d:ec00:201c::/64 | fe80:c25d:ec00:201c:ffff:ffff:ffff:ffff |
| 30 | fe80:c25d:ec00:201d::/64 | fe80:c25d:ec00:201d:ffff:ffff:ffff:ffff |
| 31 | fe80:c25d:ec00:201e::/64 | fe80:c25d:ec00:201e:ffff:ffff:ffff:ffff |
| 32 | fe80:c25d:ec00:201f::/64 | fe80:c25d:ec00:201f:ffff:ffff:ffff:ffff |
| 33 | fe80:c25d:ec00:2020::/64 | fe80:c25d:ec00:2020:ffff:ffff:ffff:ffff |
| 34 | fe80:c25d:ec00:2021::/64 | fe80:c25d:ec00:2021:ffff:ffff:ffff:ffff |
| 35 | fe80:c25d:ec00:2022::/64 | fe80:c25d:ec00:2022:ffff:ffff:ffff:ffff |
| 36 | fe80:c25d:ec00:2023::/64 | fe80:c25d:ec00:2023:ffff:ffff:ffff:ffff |
| 37 | fe80:c25d:ec00:2024::/64 | fe80:c25d:ec00:2024:ffff:ffff:ffff:ffff |
| 38 | fe80:c25d:ec00:2025::/64 | fe80:c25d:ec00:2025:ffff:ffff:ffff:ffff |
| 39 | fe80:c25d:ec00:2026::/64 | fe80:c25d:ec00:2026:ffff:ffff:ffff:ffff |
| 40 | fe80:c25d:ec00:2027::/64 | fe80:c25d:ec00:2027:ffff:ffff:ffff:ffff |
| 41 | fe80:c25d:ec00:2028::/64 | fe80:c25d:ec00:2028:ffff:ffff:ffff:ffff |
| 42 | fe80:c25d:ec00:2029::/64 | fe80:c25d:ec00:2029:ffff:ffff:ffff:ffff |
| 43 | fe80:c25d:ec00:202a::/64 | fe80:c25d:ec00:202a:ffff:ffff:ffff:ffff |
| 44 | fe80:c25d:ec00:202b::/64 | fe80:c25d:ec00:202b:ffff:ffff:ffff:ffff |
| 45 | fe80:c25d:ec00:202c::/64 | fe80:c25d:ec00:202c:ffff:ffff:ffff:ffff |
| 46 | fe80:c25d:ec00:202d::/64 | fe80:c25d:ec00:202d:ffff:ffff:ffff:ffff |
| 47 | fe80:c25d:ec00:202e::/64 | fe80:c25d:ec00:202e:ffff:ffff:ffff:ffff |
| 48 | fe80:c25d:ec00:202f::/64 | fe80:c25d:ec00:202f:ffff:ffff:ffff:ffff |
| 49 | fe80:c25d:ec00:2030::/64 | fe80:c25d:ec00:2030:ffff:ffff:ffff:ffff |
| 50 | fe80:c25d:ec00:2031::/64 | fe80:c25d:ec00:2031:ffff:ffff:ffff:ffff |
| 51 | fe80:c25d:ec00:2032::/64 | fe80:c25d:ec00:2032:ffff:ffff:ffff:ffff |
| 52 | fe80:c25d:ec00:2033::/64 | fe80:c25d:ec00:2033:ffff:ffff:ffff:ffff |
| 53 | fe80:c25d:ec00:2034::/64 | fe80:c25d:ec00:2034:ffff:ffff:ffff:ffff |
| 54 | fe80:c25d:ec00:2035::/64 | fe80:c25d:ec00:2035:ffff:ffff:ffff:ffff |
| 55 | fe80:c25d:ec00:2036::/64 | fe80:c25d:ec00:2036:ffff:ffff:ffff:ffff |
| 56 | fe80:c25d:ec00:2037::/64 | fe80:c25d:ec00:2037:ffff:ffff:ffff:ffff |
| 57 | fe80:c25d:ec00:2038::/64 | fe80:c25d:ec00:2038:ffff:ffff:ffff:ffff |
| 58 | fe80:c25d:ec00:2039::/64 | fe80:c25d:ec00:2039:ffff:ffff:ffff:ffff |
| 59 | fe80:c25d:ec00:203a::/64 | fe80:c25d:ec00:203a:ffff:ffff:ffff:ffff |
| 60 | fe80:c25d:ec00:203b::/64 | fe80:c25d:ec00:203b:ffff:ffff:ffff:ffff |
| 61 | fe80:c25d:ec00:203c::/64 | fe80:c25d:ec00:203c:ffff:ffff:ffff:ffff |
| 62 | fe80:c25d:ec00:203d::/64 | fe80:c25d:ec00:203d:ffff:ffff:ffff:ffff |
| 63 | fe80:c25d:ec00:203e::/64 | fe80:c25d:ec00:203e:ffff:ffff:ffff:ffff |
| 64 | fe80:c25d:ec00:203f::/64 | fe80:c25d:ec00:203f:ffff:ffff:ffff:ffff |
| 65 | fe80:c25d:ec00:2040::/64 | fe80:c25d:ec00:2040:ffff:ffff:ffff:ffff |
| 66 | fe80:c25d:ec00:2041::/64 | fe80:c25d:ec00:2041:ffff:ffff:ffff:ffff |
| 67 | fe80:c25d:ec00:2042::/64 | fe80:c25d:ec00:2042:ffff:ffff:ffff:ffff |
| 68 | fe80:c25d:ec00:2043::/64 | fe80:c25d:ec00:2043:ffff:ffff:ffff:ffff |
| 69 | fe80:c25d:ec00:2044::/64 | fe80:c25d:ec00:2044:ffff:ffff:ffff:ffff |
| 70 | fe80:c25d:ec00:2045::/64 | fe80:c25d:ec00:2045:ffff:ffff:ffff:ffff |
| 71 | fe80:c25d:ec00:2046::/64 | fe80:c25d:ec00:2046:ffff:ffff:ffff:ffff |
| 72 | fe80:c25d:ec00:2047::/64 | fe80:c25d:ec00:2047:ffff:ffff:ffff:ffff |
| 73 | fe80:c25d:ec00:2048::/64 | fe80:c25d:ec00:2048:ffff:ffff:ffff:ffff |
| 74 | fe80:c25d:ec00:2049::/64 | fe80:c25d:ec00:2049:ffff:ffff:ffff:ffff |
| 75 | fe80:c25d:ec00:204a::/64 | fe80:c25d:ec00:204a:ffff:ffff:ffff:ffff |
| 76 | fe80:c25d:ec00:204b::/64 | fe80:c25d:ec00:204b:ffff:ffff:ffff:ffff |
| 77 | fe80:c25d:ec00:204c::/64 | fe80:c25d:ec00:204c:ffff:ffff:ffff:ffff |
| 78 | fe80:c25d:ec00:204d::/64 | fe80:c25d:ec00:204d:ffff:ffff:ffff:ffff |
| 79 | fe80:c25d:ec00:204e::/64 | fe80:c25d:ec00:204e:ffff:ffff:ffff:ffff |
| 80 | fe80:c25d:ec00:204f::/64 | fe80:c25d:ec00:204f:ffff:ffff:ffff:ffff |
| 81 | fe80:c25d:ec00:2050::/64 | fe80:c25d:ec00:2050:ffff:ffff:ffff:ffff |
| 82 | fe80:c25d:ec00:2051::/64 | fe80:c25d:ec00:2051:ffff:ffff:ffff:ffff |
| 83 | fe80:c25d:ec00:2052::/64 | fe80:c25d:ec00:2052:ffff:ffff:ffff:ffff |
| 84 | fe80:c25d:ec00:2053::/64 | fe80:c25d:ec00:2053:ffff:ffff:ffff:ffff |
| 85 | fe80:c25d:ec00:2054::/64 | fe80:c25d:ec00:2054:ffff:ffff:ffff:ffff |
| 86 | fe80:c25d:ec00:2055::/64 | fe80:c25d:ec00:2055:ffff:ffff:ffff:ffff |
| 87 | fe80:c25d:ec00:2056::/64 | fe80:c25d:ec00:2056:ffff:ffff:ffff:ffff |
| 88 | fe80:c25d:ec00:2057::/64 | fe80:c25d:ec00:2057:ffff:ffff:ffff:ffff |
| 89 | fe80:c25d:ec00:2058::/64 | fe80:c25d:ec00:2058:ffff:ffff:ffff:ffff |
| 90 | fe80:c25d:ec00:2059::/64 | fe80:c25d:ec00:2059:ffff:ffff:ffff:ffff |
| 91 | fe80:c25d:ec00:205a::/64 | fe80:c25d:ec00:205a:ffff:ffff:ffff:ffff |
| 92 | fe80:c25d:ec00:205b::/64 | fe80:c25d:ec00:205b:ffff:ffff:ffff:ffff |
| 93 | fe80:c25d:ec00:205c::/64 | fe80:c25d:ec00:205c:ffff:ffff:ffff:ffff |
| 94 | fe80:c25d:ec00:205d::/64 | fe80:c25d:ec00:205d:ffff:ffff:ffff:ffff |
| 95 | fe80:c25d:ec00:205e::/64 | fe80:c25d:ec00:205e:ffff:ffff:ffff:ffff |
| 96 | fe80:c25d:ec00:205f::/64 | fe80:c25d:ec00:205f:ffff:ffff:ffff:ffff |
| 97 | fe80:c25d:ec00:2060::/64 | fe80:c25d:ec00:2060:ffff:ffff:ffff:ffff |
| 98 | fe80:c25d:ec00:2061::/64 | fe80:c25d:ec00:2061:ffff:ffff:ffff:ffff |
| 99 | fe80:c25d:ec00:2062::/64 | fe80:c25d:ec00:2062:ffff:ffff:ffff:ffff |
| 100 | fe80:c25d:ec00:2063::/64 | fe80:c25d:ec00:2063:ffff:ffff:ffff:ffff |
| 101 | fe80:c25d:ec00:2064::/64 | fe80:c25d:ec00:2064:ffff:ffff:ffff:ffff |
| 102 | fe80:c25d:ec00:2065::/64 | fe80:c25d:ec00:2065:ffff:ffff:ffff:ffff |
| 103 | fe80:c25d:ec00:2066::/64 | fe80:c25d:ec00:2066:ffff:ffff:ffff:ffff |
| 104 | fe80:c25d:ec00:2067::/64 | fe80:c25d:ec00:2067:ffff:ffff:ffff:ffff |
| 105 | fe80:c25d:ec00:2068::/64 | fe80:c25d:ec00:2068:ffff:ffff:ffff:ffff |
| 106 | fe80:c25d:ec00:2069::/64 | fe80:c25d:ec00:2069:ffff:ffff:ffff:ffff |
| 107 | fe80:c25d:ec00:206a::/64 | fe80:c25d:ec00:206a:ffff:ffff:ffff:ffff |
| 108 | fe80:c25d:ec00:206b::/64 | fe80:c25d:ec00:206b:ffff:ffff:ffff:ffff |
| 109 | fe80:c25d:ec00:206c::/64 | fe80:c25d:ec00:206c:ffff:ffff:ffff:ffff |
| 110 | fe80:c25d:ec00:206d::/64 | fe80:c25d:ec00:206d:ffff:ffff:ffff:ffff |
| 111 | fe80:c25d:ec00:206e::/64 | fe80:c25d:ec00:206e:ffff:ffff:ffff:ffff |
| 112 | fe80:c25d:ec00:206f::/64 | fe80:c25d:ec00:206f:ffff:ffff:ffff:ffff |
| 113 | fe80:c25d:ec00:2070::/64 | fe80:c25d:ec00:2070:ffff:ffff:ffff:ffff |
| 114 | fe80:c25d:ec00:2071::/64 | fe80:c25d:ec00:2071:ffff:ffff:ffff:ffff |
| 115 | fe80:c25d:ec00:2072::/64 | fe80:c25d:ec00:2072:ffff:ffff:ffff:ffff |
| 116 | fe80:c25d:ec00:2073::/64 | fe80:c25d:ec00:2073:ffff:ffff:ffff:ffff |
| 117 | fe80:c25d:ec00:2074::/64 | fe80:c25d:ec00:2074:ffff:ffff:ffff:ffff |
| 118 | fe80:c25d:ec00:2075::/64 | fe80:c25d:ec00:2075:ffff:ffff:ffff:ffff |
| 119 | fe80:c25d:ec00:2076::/64 | fe80:c25d:ec00:2076:ffff:ffff:ffff:ffff |
| 120 | fe80:c25d:ec00:2077::/64 | fe80:c25d:ec00:2077:ffff:ffff:ffff:ffff |
| 121 | fe80:c25d:ec00:2078::/64 | fe80:c25d:ec00:2078:ffff:ffff:ffff:ffff |
| 122 | fe80:c25d:ec00:2079::/64 | fe80:c25d:ec00:2079:ffff:ffff:ffff:ffff |
| 123 | fe80:c25d:ec00:207a::/64 | fe80:c25d:ec00:207a:ffff:ffff:ffff:ffff |
| 124 | fe80:c25d:ec00:207b::/64 | fe80:c25d:ec00:207b:ffff:ffff:ffff:ffff |
| 125 | fe80:c25d:ec00:207c::/64 | fe80:c25d:ec00:207c:ffff:ffff:ffff:ffff |
| 126 | fe80:c25d:ec00:207d::/64 | fe80:c25d:ec00:207d:ffff:ffff:ffff:ffff |
| 127 | fe80:c25d:ec00:207e::/64 | fe80:c25d:ec00:207e:ffff:ffff:ffff:ffff |
| 128 | fe80:c25d:ec00:207f::/64 | fe80:c25d:ec00:207f:ffff:ffff:ffff:ffff |
| 129 | fe80:c25d:ec00:2080::/64 | fe80:c25d:ec00:2080:ffff:ffff:ffff:ffff |
| 130 | fe80:c25d:ec00:2081::/64 | fe80:c25d:ec00:2081:ffff:ffff:ffff:ffff |
| 131 | fe80:c25d:ec00:2082::/64 | fe80:c25d:ec00:2082:ffff:ffff:ffff:ffff |
| 132 | fe80:c25d:ec00:2083::/64 | fe80:c25d:ec00:2083:ffff:ffff:ffff:ffff |
| 133 | fe80:c25d:ec00:2084::/64 | fe80:c25d:ec00:2084:ffff:ffff:ffff:ffff |
| 134 | fe80:c25d:ec00:2085::/64 | fe80:c25d:ec00:2085:ffff:ffff:ffff:ffff |
| 135 | fe80:c25d:ec00:2086::/64 | fe80:c25d:ec00:2086:ffff:ffff:ffff:ffff |
| 136 | fe80:c25d:ec00:2087::/64 | fe80:c25d:ec00:2087:ffff:ffff:ffff:ffff |
| 137 | fe80:c25d:ec00:2088::/64 | fe80:c25d:ec00:2088:ffff:ffff:ffff:ffff |
| 138 | fe80:c25d:ec00:2089::/64 | fe80:c25d:ec00:2089:ffff:ffff:ffff:ffff |
| 139 | fe80:c25d:ec00:208a::/64 | fe80:c25d:ec00:208a:ffff:ffff:ffff:ffff |
| 140 | fe80:c25d:ec00:208b::/64 | fe80:c25d:ec00:208b:ffff:ffff:ffff:ffff |
| 141 | fe80:c25d:ec00:208c::/64 | fe80:c25d:ec00:208c:ffff:ffff:ffff:ffff |
| 142 | fe80:c25d:ec00:208d::/64 | fe80:c25d:ec00:208d:ffff:ffff:ffff:ffff |
| 143 | fe80:c25d:ec00:208e::/64 | fe80:c25d:ec00:208e:ffff:ffff:ffff:ffff |
| 144 | fe80:c25d:ec00:208f::/64 | fe80:c25d:ec00:208f:ffff:ffff:ffff:ffff |
| 145 | fe80:c25d:ec00:2090::/64 | fe80:c25d:ec00:2090:ffff:ffff:ffff:ffff |
| 146 | fe80:c25d:ec00:2091::/64 | fe80:c25d:ec00:2091:ffff:ffff:ffff:ffff |
| 147 | fe80:c25d:ec00:2092::/64 | fe80:c25d:ec00:2092:ffff:ffff:ffff:ffff |
| 148 | fe80:c25d:ec00:2093::/64 | fe80:c25d:ec00:2093:ffff:ffff:ffff:ffff |
| 149 | fe80:c25d:ec00:2094::/64 | fe80:c25d:ec00:2094:ffff:ffff:ffff:ffff |
| 150 | fe80:c25d:ec00:2095::/64 | fe80:c25d:ec00:2095:ffff:ffff:ffff:ffff |
| 151 | fe80:c25d:ec00:2096::/64 | fe80:c25d:ec00:2096:ffff:ffff:ffff:ffff |
| 152 | fe80:c25d:ec00:2097::/64 | fe80:c25d:ec00:2097:ffff:ffff:ffff:ffff |
| 153 | fe80:c25d:ec00:2098::/64 | fe80:c25d:ec00:2098:ffff:ffff:ffff:ffff |
| 154 | fe80:c25d:ec00:2099::/64 | fe80:c25d:ec00:2099:ffff:ffff:ffff:ffff |
| 155 | fe80:c25d:ec00:209a::/64 | fe80:c25d:ec00:209a:ffff:ffff:ffff:ffff |
| 156 | fe80:c25d:ec00:209b::/64 | fe80:c25d:ec00:209b:ffff:ffff:ffff:ffff |
| 157 | fe80:c25d:ec00:209c::/64 | fe80:c25d:ec00:209c:ffff:ffff:ffff:ffff |
| 158 | fe80:c25d:ec00:209d::/64 | fe80:c25d:ec00:209d:ffff:ffff:ffff:ffff |
| 159 | fe80:c25d:ec00:209e::/64 | fe80:c25d:ec00:209e:ffff:ffff:ffff:ffff |
| 160 | fe80:c25d:ec00:209f::/64 | fe80:c25d:ec00:209f:ffff:ffff:ffff:ffff |
| 161 | fe80:c25d:ec00:20a0::/64 | fe80:c25d:ec00:20a0:ffff:ffff:ffff:ffff |
| 162 | fe80:c25d:ec00:20a1::/64 | fe80:c25d:ec00:20a1:ffff:ffff:ffff:ffff |
| 163 | fe80:c25d:ec00:20a2::/64 | fe80:c25d:ec00:20a2:ffff:ffff:ffff:ffff |
| 164 | fe80:c25d:ec00:20a3::/64 | fe80:c25d:ec00:20a3:ffff:ffff:ffff:ffff |
| 165 | fe80:c25d:ec00:20a4::/64 | fe80:c25d:ec00:20a4:ffff:ffff:ffff:ffff |
| 166 | fe80:c25d:ec00:20a5::/64 | fe80:c25d:ec00:20a5:ffff:ffff:ffff:ffff |
| 167 | fe80:c25d:ec00:20a6::/64 | fe80:c25d:ec00:20a6:ffff:ffff:ffff:ffff |
| 168 | fe80:c25d:ec00:20a7::/64 | fe80:c25d:ec00:20a7:ffff:ffff:ffff:ffff |
| 169 | fe80:c25d:ec00:20a8::/64 | fe80:c25d:ec00:20a8:ffff:ffff:ffff:ffff |
| 170 | fe80:c25d:ec00:20a9::/64 | fe80:c25d:ec00:20a9:ffff:ffff:ffff:ffff |
| 171 | fe80:c25d:ec00:20aa::/64 | fe80:c25d:ec00:20aa:ffff:ffff:ffff:ffff |
| 172 | fe80:c25d:ec00:20ab::/64 | fe80:c25d:ec00:20ab:ffff:ffff:ffff:ffff |
| 173 | fe80:c25d:ec00:20ac::/64 | fe80:c25d:ec00:20ac:ffff:ffff:ffff:ffff |
| 174 | fe80:c25d:ec00:20ad::/64 | fe80:c25d:ec00:20ad:ffff:ffff:ffff:ffff |
| 175 | fe80:c25d:ec00:20ae::/64 | fe80:c25d:ec00:20ae:ffff:ffff:ffff:ffff |
| 176 | fe80:c25d:ec00:20af::/64 | fe80:c25d:ec00:20af:ffff:ffff:ffff:ffff |
| 177 | fe80:c25d:ec00:20b0::/64 | fe80:c25d:ec00:20b0:ffff:ffff:ffff:ffff |
| 178 | fe80:c25d:ec00:20b1::/64 | fe80:c25d:ec00:20b1:ffff:ffff:ffff:ffff |
| 179 | fe80:c25d:ec00:20b2::/64 | fe80:c25d:ec00:20b2:ffff:ffff:ffff:ffff |
| 180 | fe80:c25d:ec00:20b3::/64 | fe80:c25d:ec00:20b3:ffff:ffff:ffff:ffff |
| 181 | fe80:c25d:ec00:20b4::/64 | fe80:c25d:ec00:20b4:ffff:ffff:ffff:ffff |
| 182 | fe80:c25d:ec00:20b5::/64 | fe80:c25d:ec00:20b5:ffff:ffff:ffff:ffff |
| 183 | fe80:c25d:ec00:20b6::/64 | fe80:c25d:ec00:20b6:ffff:ffff:ffff:ffff |
| 184 | fe80:c25d:ec00:20b7::/64 | fe80:c25d:ec00:20b7:ffff:ffff:ffff:ffff |
| 185 | fe80:c25d:ec00:20b8::/64 | fe80:c25d:ec00:20b8:ffff:ffff:ffff:ffff |
| 186 | fe80:c25d:ec00:20b9::/64 | fe80:c25d:ec00:20b9:ffff:ffff:ffff:ffff |
| 187 | fe80:c25d:ec00:20ba::/64 | fe80:c25d:ec00:20ba:ffff:ffff:ffff:ffff |
| 188 | fe80:c25d:ec00:20bb::/64 | fe80:c25d:ec00:20bb:ffff:ffff:ffff:ffff |
| 189 | fe80:c25d:ec00:20bc::/64 | fe80:c25d:ec00:20bc:ffff:ffff:ffff:ffff |
| 190 | fe80:c25d:ec00:20bd::/64 | fe80:c25d:ec00:20bd:ffff:ffff:ffff:ffff |
| 191 | fe80:c25d:ec00:20be::/64 | fe80:c25d:ec00:20be:ffff:ffff:ffff:ffff |
| 192 | fe80:c25d:ec00:20bf::/64 | fe80:c25d:ec00:20bf:ffff:ffff:ffff:ffff |
| 193 | fe80:c25d:ec00:20c0::/64 | fe80:c25d:ec00:20c0:ffff:ffff:ffff:ffff |
| 194 | fe80:c25d:ec00:20c1::/64 | fe80:c25d:ec00:20c1:ffff:ffff:ffff:ffff |
| 195 | fe80:c25d:ec00:20c2::/64 | fe80:c25d:ec00:20c2:ffff:ffff:ffff:ffff |
| 196 | fe80:c25d:ec00:20c3::/64 | fe80:c25d:ec00:20c3:ffff:ffff:ffff:ffff |
| 197 | fe80:c25d:ec00:20c4::/64 | fe80:c25d:ec00:20c4:ffff:ffff:ffff:ffff |
| 198 | fe80:c25d:ec00:20c5::/64 | fe80:c25d:ec00:20c5:ffff:ffff:ffff:ffff |
| 199 | fe80:c25d:ec00:20c6::/64 | fe80:c25d:ec00:20c6:ffff:ffff:ffff:ffff |
| 200 | fe80:c25d:ec00:20c7::/64 | fe80:c25d:ec00:20c7:ffff:ffff:ffff:ffff |
| 201 | fe80:c25d:ec00:20c8::/64 | fe80:c25d:ec00:20c8:ffff:ffff:ffff:ffff |
| 202 | fe80:c25d:ec00:20c9::/64 | fe80:c25d:ec00:20c9:ffff:ffff:ffff:ffff |
| 203 | fe80:c25d:ec00:20ca::/64 | fe80:c25d:ec00:20ca:ffff:ffff:ffff:ffff |
| 204 | fe80:c25d:ec00:20cb::/64 | fe80:c25d:ec00:20cb:ffff:ffff:ffff:ffff |
| 205 | fe80:c25d:ec00:20cc::/64 | fe80:c25d:ec00:20cc:ffff:ffff:ffff:ffff |
| 206 | fe80:c25d:ec00:20cd::/64 | fe80:c25d:ec00:20cd:ffff:ffff:ffff:ffff |
| 207 | fe80:c25d:ec00:20ce::/64 | fe80:c25d:ec00:20ce:ffff:ffff:ffff:ffff |
| 208 | fe80:c25d:ec00:20cf::/64 | fe80:c25d:ec00:20cf:ffff:ffff:ffff:ffff |
| 209 | fe80:c25d:ec00:20d0::/64 | fe80:c25d:ec00:20d0:ffff:ffff:ffff:ffff |
| 210 | fe80:c25d:ec00:20d1::/64 | fe80:c25d:ec00:20d1:ffff:ffff:ffff:ffff |
| 211 | fe80:c25d:ec00:20d2::/64 | fe80:c25d:ec00:20d2:ffff:ffff:ffff:ffff |
| 212 | fe80:c25d:ec00:20d3::/64 | fe80:c25d:ec00:20d3:ffff:ffff:ffff:ffff |
| 213 | fe80:c25d:ec00:20d4::/64 | fe80:c25d:ec00:20d4:ffff:ffff:ffff:ffff |
| 214 | fe80:c25d:ec00:20d5::/64 | fe80:c25d:ec00:20d5:ffff:ffff:ffff:ffff |
| 215 | fe80:c25d:ec00:20d6::/64 | fe80:c25d:ec00:20d6:ffff:ffff:ffff:ffff |
| 216 | fe80:c25d:ec00:20d7::/64 | fe80:c25d:ec00:20d7:ffff:ffff:ffff:ffff |
| 217 | fe80:c25d:ec00:20d8::/64 | fe80:c25d:ec00:20d8:ffff:ffff:ffff:ffff |
| 218 | fe80:c25d:ec00:20d9::/64 | fe80:c25d:ec00:20d9:ffff:ffff:ffff:ffff |
| 219 | fe80:c25d:ec00:20da::/64 | fe80:c25d:ec00:20da:ffff:ffff:ffff:ffff |
| 220 | fe80:c25d:ec00:20db::/64 | fe80:c25d:ec00:20db:ffff:ffff:ffff:ffff |
| 221 | fe80:c25d:ec00:20dc::/64 | fe80:c25d:ec00:20dc:ffff:ffff:ffff:ffff |
| 222 | fe80:c25d:ec00:20dd::/64 | fe80:c25d:ec00:20dd:ffff:ffff:ffff:ffff |
| 223 | fe80:c25d:ec00:20de::/64 | fe80:c25d:ec00:20de:ffff:ffff:ffff:ffff |
| 224 | fe80:c25d:ec00:20df::/64 | fe80:c25d:ec00:20df:ffff:ffff:ffff:ffff |
| 225 | fe80:c25d:ec00:20e0::/64 | fe80:c25d:ec00:20e0:ffff:ffff:ffff:ffff |
| 226 | fe80:c25d:ec00:20e1::/64 | fe80:c25d:ec00:20e1:ffff:ffff:ffff:ffff |
| 227 | fe80:c25d:ec00:20e2::/64 | fe80:c25d:ec00:20e2:ffff:ffff:ffff:ffff |
| 228 | fe80:c25d:ec00:20e3::/64 | fe80:c25d:ec00:20e3:ffff:ffff:ffff:ffff |
| 229 | fe80:c25d:ec00:20e4::/64 | fe80:c25d:ec00:20e4:ffff:ffff:ffff:ffff |
| 230 | fe80:c25d:ec00:20e5::/64 | fe80:c25d:ec00:20e5:ffff:ffff:ffff:ffff |
| 231 | fe80:c25d:ec00:20e6::/64 | fe80:c25d:ec00:20e6:ffff:ffff:ffff:ffff |
| 232 | fe80:c25d:ec00:20e7::/64 | fe80:c25d:ec00:20e7:ffff:ffff:ffff:ffff |
| 233 | fe80:c25d:ec00:20e8::/64 | fe80:c25d:ec00:20e8:ffff:ffff:ffff:ffff |
| 234 | fe80:c25d:ec00:20e9::/64 | fe80:c25d:ec00:20e9:ffff:ffff:ffff:ffff |
| 235 | fe80:c25d:ec00:20ea::/64 | fe80:c25d:ec00:20ea:ffff:ffff:ffff:ffff |
| 236 | fe80:c25d:ec00:20eb::/64 | fe80:c25d:ec00:20eb:ffff:ffff:ffff:ffff |
| 237 | fe80:c25d:ec00:20ec::/64 | fe80:c25d:ec00:20ec:ffff:ffff:ffff:ffff |
| 238 | fe80:c25d:ec00:20ed::/64 | fe80:c25d:ec00:20ed:ffff:ffff:ffff:ffff |
| 239 | fe80:c25d:ec00:20ee::/64 | fe80:c25d:ec00:20ee:ffff:ffff:ffff:ffff |
| 240 | fe80:c25d:ec00:20ef::/64 | fe80:c25d:ec00:20ef:ffff:ffff:ffff:ffff |
| 241 | fe80:c25d:ec00:20f0::/64 | fe80:c25d:ec00:20f0:ffff:ffff:ffff:ffff |
| 242 | fe80:c25d:ec00:20f1::/64 | fe80:c25d:ec00:20f1:ffff:ffff:ffff:ffff |
| 243 | fe80:c25d:ec00:20f2::/64 | fe80:c25d:ec00:20f2:ffff:ffff:ffff:ffff |
| 244 | fe80:c25d:ec00:20f3::/64 | fe80:c25d:ec00:20f3:ffff:ffff:ffff:ffff |
| 245 | fe80:c25d:ec00:20f4::/64 | fe80:c25d:ec00:20f4:ffff:ffff:ffff:ffff |
| 246 | fe80:c25d:ec00:20f5::/64 | fe80:c25d:ec00:20f5:ffff:ffff:ffff:ffff |
| 247 | fe80:c25d:ec00:20f6::/64 | fe80:c25d:ec00:20f6:ffff:ffff:ffff:ffff |
| 248 | fe80:c25d:ec00:20f7::/64 | fe80:c25d:ec00:20f7:ffff:ffff:ffff:ffff |
| 249 | fe80:c25d:ec00:20f8::/64 | fe80:c25d:ec00:20f8:ffff:ffff:ffff:ffff |
| 250 | fe80:c25d:ec00:20f9::/64 | fe80:c25d:ec00:20f9:ffff:ffff:ffff:ffff |
| 251 | fe80:c25d:ec00:20fa::/64 | fe80:c25d:ec00:20fa:ffff:ffff:ffff:ffff |
| 252 | fe80:c25d:ec00:20fb::/64 | fe80:c25d:ec00:20fb:ffff:ffff:ffff:ffff |
| 253 | fe80:c25d:ec00:20fc::/64 | fe80:c25d:ec00:20fc:ffff:ffff:ffff:ffff |
| 254 | fe80:c25d:ec00:20fd::/64 | fe80:c25d:ec00:20fd:ffff:ffff:ffff:ffff |
| 255 | fe80:c25d:ec00:20fe::/64 | fe80:c25d:ec00:20fe:ffff:ffff:ffff:ffff |
| 256 | fe80:c25d:ec00:20ff::/64 | fe80:c25d:ec00:20ff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |